org.apache.commons.math.ode

## Class MultistepIntegrator.NordsieckInitializer

- java.lang.Object
- - org.apache.commons.math.ode.MultistepIntegrator.NordsieckInitializer

- All Implemented Interfaces:
    StepHandler
  Enclosing class:
    MultistepIntegrator

      private class MultistepIntegrator.NordsieckInitializer
      extends Object
      implements StepHandler

  Specialized step handler storing the first step.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `n` Problem dimension.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultistepIntegrator.NordsieckInitializer(int n)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleStep(StepInterpolator interpolator, boolean isLast)` Handle the last accepted step
    `boolean` | `requiresDenseOutput()` Determines whether this handler needs dense output.
    `void` | `reset()` Reset the step handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### n

          private final int n

      Problem dimension.

  - ### Constructor Detail

    - #### MultistepIntegrator.NordsieckInitializer

          public MultistepIntegrator.NordsieckInitializer(int n)

      Simple constructor.
      Parameters:
        `n` - problem dimension

  - ### Method Detail

    - #### handleStep

          public void handleStep(StepInterpolator interpolator,
                        boolean isLast)
                          throws DerivativeException

      Handle the last accepted step
      Specified by:
        `handleStep` in interface `StepHandler`
      Parameters:
        `interpolator` - interpolator for the last accepted step. For efficiency purposes, the various integrators reuse the same object on each call, so if the instance wants to keep it across all calls (for example to provide at the end of the integration a continuous model valid throughout the integration range, as the `ContinuousOutputModel` class does), it should build a local copy using the clone method of the interpolator and store this copy. Keeping only a reference to the interpolator and reusing it will result in unpredictable behavior (potentially crashing the application).
        `isLast` - true if the step is the last one
      Throws:
        `DerivativeException` - if user code called from step interpolator finalization triggers one

    - #### requiresDenseOutput

          public boolean requiresDenseOutput()

      Determines whether this handler needs dense output.

      This method allows the integrator to avoid performing extra computation if the handler does not need dense output. If this method returns false, the integrator will call the `StepHandler.handleStep(org.apache.commons.math.ode.sampling.StepInterpolator, boolean)` method with a `DummyStepInterpolator` rather than a custom interpolator.

      Specified by:
        `requiresDenseOutput` in interface `StepHandler`
      Returns:
        true if the handler needs dense output

    - #### reset

          public void reset()

      Reset the step handler. Initialize the internal data as required before the first step is handled.
      Specified by:
        `reset` in interface `StepHandler`

Copyright (c) 2003-2013 Apache Software Foundation